// File: android/app/src/main/kotlin/com/example/dialer/MyConnection.kt
package com.example.dialer

import android.telecom.Connection
import android.telecom.DisconnectCause
import android.util.Log

class MyConnection : Connection() {

    override fun onAnswer(videoState: Int) {
        super.onAnswer(videoState)
        Log.d("MyConnection", "onAnswer called")
        setActive()
        // (You can later add notifications back to Flutter here if needed.)
    }

    override fun onReject() {
        super.onReject()
        Log.d("MyConnection", "onReject called")
        setDisconnected(DisconnectCause(DisconnectCause.REJECTED))
        destroy()
    }

    override fun onDisconnect() {
        super.onDisconnect()
        Log.d("MyConnection", "onDisconnect called")
        setDisconnected(DisconnectCause(DisconnectCause.LOCAL))
        destroy()
    }
}
